import checkArray  from './_checkArray';

/**
 * @memberOf array
 * @param ar
 * @return {*}
 */
export default (ar) => {
    checkArray(ar);

    return ar.reduce((acc, item) => {
        if (Array.isArray(item)) {
            acc.push(...flatten(item));
        } else {
            acc.push(item);
        }

        return acc;
    }, []);
};