/**
 * @memberOf html
 * @param filename
 * @param mediaQuery
 * @return {string}
 */
const createLinkTag = (filename, mediaQuery) => {
    if (mediaQuery) {
        return `<link rel="stylesheet" type="text/css" href="${filename}" media="${mediaQuery}" />`;
    }

    return `<link rel="stylesheet" type="text/css" href="${filename}" />`;
};

export default createLinkTag;