/**
 * Creates a function which returns a property of a passed object.
 *
 * @memberOf object
 * @param {string} prop - the property to return from the passed object
 * @return {function({object})} function to return a property from a passed object
 */
const prop = prop => obj => obj[prop];

export default prop;